﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;
using System.Configuration;
using Telerik.Web.UI;
using System.Data.Common;
using System.Web.Script.Services;
using System.Collections;


/// <summary>
/// Summary description for SchedulerWebService
/// </summary>
[WebService(Namespace = "http://tempuri.org/")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
[System.ComponentModel.ToolboxItem(false)]
// To allow this Web Service to be called from script, using ASP.NET AJAX, uncomment the following line. 
[ScriptService]
public class TreeViewWebService : WebService
{
    [WebMethod]
    public RadTreeNodeData[] LoadNodes(RadTreeNodeData node, object context)
    {
        int numberOfNodes = 10;
        List<RadTreeNodeData> nodes = new List<RadTreeNodeData>();
        for (int i = 0; i < numberOfNodes; i++)
        {
            RadTreeNodeData currentNode = new RadTreeNodeData();
            currentNode.Text = "Text" + i;
            currentNode.ExpandMode = TreeNodeExpandMode.WebService;
            nodes.Add(currentNode);
        }

        return nodes.ToArray();
    }
}

